Skip to main content
PATCH
/
orgs
/
{orgId}
/
api-tokens
/
{tokenId}
Updates the name of an API token
curl --request PATCH \
  --url https://api.zippendo.com/orgs/{orgId}/api-tokens/{tokenId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "tokenPrefix": "<string>",
  "scopes": [
    "<string>"
  ],
  "lastUsedAt": "<string>",
  "expiresAt": "<string>",
  "createdAt": "<string>",
  "createdBy": {
    "id": "<string>",
    "name": "<string>",
    "email": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

tokenId
string
required

API Token ID

Body

application/json
name
string
required

New token name

Required string length: 1 - 100

Response

Default Response

id
string
required
name
string
required
tokenPrefix
string
required

First 12 chars of the token for identification

scopes
string[]
required
lastUsedAt
string | null
required
expiresAt
string | null
required
createdAt
string
required
createdBy
object
required